#
# spec file for package qslert
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qslert
Version:        1.3.5
Release:        62.4
Summary:        Graphical Realtime monitor
License:        GPL-2.0
Group:          System/Monitoring
Url:            http://www.novell.com
Source:         %{name}-%{version}.tar.bz2
Patch1:         qslert-pkg-config.patch
Patch2:         qslert-link-with-g++.diff
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# qslert contains in version 1.0 inline assembler
ExclusiveArch:  %{ix86} x86_64

%description
Graphical Realtime monitor to measure Kernel latencies.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export CXXFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
install -d %{buildroot}/%{_bindir}
install -m 755 qslert %{buildroot}/%{_bindir}

%files
%defattr(-,root,root)
%{_bindir}/qslert

%changelog
* Mon Jul 21 2014 dsterba@suse.cz
- Fix build, link using g++
  Added patches:
  * qslert-link-with-g++.diff
- clean spec
* Tue Aug 17 2010 mmarek@novell.com
- Fix build on i386.
* Tue Aug 17 2010 mmarek@novell.com
- Update to version 1.3.5 provided by Matthias.
* Mon Feb 25 2008 dgollub@suse.de
- Initial checkin of qslert (Version 1.0)
